
QGIS Application - Bug report #6085

Composer does not maintain state of render preview and page zoom

2012-07-23 01:03 PM - Tim Sutton

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Linux (Ubuntu) Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 15439

Description

If I save a composer, close the project and then open it again, it forgets the settings for render preview - cache.

It also forgets the page zoom level (maybe not so easy to maintain if the window has changed size).

Associated revisions

Revision cc9f2a62 - 2015-04-14 01:41 AM - Sandro Mani

Call QgsComposer::restoreComposerMapStates in QgsComposer:changeEvent,

not in showEvent (latter does not work reliably with some window

managers, such as openbox) (fix #6085)

Revision 2037c346 - 2015-07-09 04:14 AM - Nyall Dawson

Call QgsComposer::restoreComposerMapStates in QgsComposer:changeEvent,

not in showEvent (latter does not work reliably with some window

managers, such as openbox) (fix #6085)

Cherry-picked from cc9f2a6270b59143000e30f41db1f57e8d900534

History

#1 - 2012-07-24 08:21 AM - Marco Hugentobler

This is a problem on gnome, the composer does not receive a show event when visible (because to make project loading faster, the composermaps are

created in rectangle preview mode and the maps are drawn when the composer is first opened). It works on KDE (and afaik also on windows).

#2 - 2014-02-05 08:16 PM - Nyall Dawson

- Resolution set to up/downstream

- Target version deleted (Version 2.0.0)

- Category changed from 33 to Map Composer/Printing

#3 - 2014-02-06 01:30 AM - Nyall Dawson

Upstream bug report: https://bugreports.qt-project.org/browse/QTBUG-36675

#4 - 2015-04-13 04:42 PM - Anonymous
https://bugreports.qt-project.org/browse/QTBUG-36675


- Status changed from Open to Closed

Fixed in changeset commit:"cc9f2a6270b59143000e30f41db1f57e8d900534".
